org.keycloak.authorization.model

## Enum PermissionTicket.FilterOption

- java.lang.Object
- - java.lang.Enum<PermissionTicket.FilterOption>
  - - org.keycloak.authorization.model.PermissionTicket.FilterOption

- All Implemented Interfaces:
    Serializable, Comparable<PermissionTicket.FilterOption>
  Enclosing interface:
    PermissionTicket

      public static enum PermissionTicket.FilterOption
      extends Enum<PermissionTicket.FilterOption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GRANTED`
    `ID`
    `OWNER`
    `POLICY_ID`
    `POLICY_IS_NOT_NULL`
    `REQUESTER`
    `REQUESTER_IS_NULL`
    `RESOURCE_ID`
    `RESOURCE_NAME`
    `SCOPE_ID`
    `SCOPE_IS_NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `SearchableModelField<PermissionTicket>` | `getSearchableModelField()`
    `static PermissionTicket.FilterOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PermissionTicket.FilterOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final PermissionTicket.FilterOption ID

    - #### RESOURCE_ID

          public static final PermissionTicket.FilterOption RESOURCE_ID

    - #### RESOURCE_NAME

          public static final PermissionTicket.FilterOption RESOURCE_NAME

    - #### SCOPE_ID

          public static final PermissionTicket.FilterOption SCOPE_ID

    - #### SCOPE_IS_NULL

          public static final PermissionTicket.FilterOption SCOPE_IS_NULL

    - #### OWNER

          public static final PermissionTicket.FilterOption OWNER

    - #### GRANTED

          public static final PermissionTicket.FilterOption GRANTED

    - #### REQUESTER

          public static final PermissionTicket.FilterOption REQUESTER

    - #### REQUESTER_IS_NULL

          public static final PermissionTicket.FilterOption REQUESTER_IS_NULL

    - #### POLICY_IS_NOT_NULL

          public static final PermissionTicket.FilterOption POLICY_IS_NOT_NULL

    - #### POLICY_ID

          public static final PermissionTicket.FilterOption POLICY_ID

  - ### Method Detail

    - #### values

          public static PermissionTicket.FilterOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PermissionTicket.FilterOption c : PermissionTicket.FilterOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PermissionTicket.FilterOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getSearchableModelField

          public SearchableModelField<PermissionTicket> getSearchableModelField()

Copyright © 2021 JBoss by Red Hat. All rights reserved.